import request from "@/utils/request";

//冀北地图数据
export function getSubstationExpendInfo(data) {
    return request({
        url: "/device-boot/pms/substationExpend/getSubstationExpendInfo",
        method: "post",
        data,
    });
}
//冀北主网监测点台账统计
export function getLedgerStatic(data) {
    return request({
        url: "/device-boot/pms/substationExpend/getLedgerStatic",
        method: "post",
        data,
    });
}
//冀北主网监测点pms:通讯状态统计
export function getPVCommunicationStatus(data) {
    return request({
        url: "/device-boot/pms/substationExpend/getPVCommunicationStatus",
        method: "post",
        data,
    });
}
//冀北分布式光伏获取综合统计
export function getPVSynthesisCount(data) {
    return request({
        url: "/harmonic-boot/JbOverview/getPVSynthesisCount",
        method: "post",
        data,
    });
}
//查询稳态累计超标监测点数
export function getAllRStatHarmonicOrg(params) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonicOrg/getAllRStatHarmonicOrg",
        method: "get",
        params,
    });
}
//查询稳态累计超标监测点数
export function getAllRStatHarmonic(params) {
    return request({
        url: "/harmonic-boot/harmonic/rStatHarmonic/getAllRStatHarmonic",
        method: "get",
        params,
    });
}
//冀北分布式光伏获取污染指数统计
export function getPVPollution(data) {
    return request({
        url: "/harmonic-boot/JbOverview/getPVPollution",
        method: "post",
        data,
    });
}
//查询暂态累计超标监测点数
export function getAllRStatEventOrg(params) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getAllRStatEventOrg",
        method: "get",
        params,
    });
}
//查询暂态累计超标监测点数
export function getEventOrg(data) {
    return request({
        url: "/event-boot/event/rStatHarmonic/getEventOrg",
        method: "post",
        data,
    });
}
//查询暂态累计超标监测点数
export function getContinueTime(data) {
    return request({
        url: "/event-boot/report/getContinueTime",
        method: "post",
        data,
    });
}
//冀北分布式光伏获取综合指标
export function getPVCompositeIndicators(data) {
    return request({
        url: "/device-boot/pms/pwMonitor/getPVCompositeIndicators",
        method: "post",
        data,
    });
}
//冀北分布式光伏获取分布式光伏容量
export function getPVCapacity(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/getPVCapacity",
        method: "post",
        data,
    });
}
//冀北分布式光伏获取分布式光伏容量
export function getPVPermeability(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/getPVPermeability",
        method: "post",
        data,
    });
}
//冀北分布式光伏获取消纳能力
export function getPVAbsorptiveCapacity(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/getPVAbsorptiveCapacity",
        method: "post",
        data,
    });
}
//潮流倒送与重过载问题
export function getBackTheTide(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getBackTheTide",
        method: "post",
        data,
    });
}
//电压问题
export function getPVVoltage(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getPVVoltage",
        method: "post",
        data,
    });
}
//功率因数问题
export function getPowerFactor(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getPowerFactor",
        method: "post",
        data,
    });
}
//查询暂态累计超标监测点数
export function getPwAllRStatEventOrg(data) {
    return request({
        url: "/event-boot/event/pwRStatHarmonic/getPwAllRStatEventOrg",
        method: "post",
        data,
    });
}
//查询变电站信息
export function substationExpend(data) {
    return request({
        url: "/device-boot/pms/substationExpend/list",
        method: "post",
        data,
    });
}
//添加变电站信息
export function insert(data) {
    return request({
        url: "/device-boot/pms/substationExpend/insert",
        method: "post",
        data,
    });
}
//添加变电站信息
export function substationDelete(data) {
    return request({
        url: "/device-boot/pms/substationExpend/delete",
        method: "post",
        data,
    });
}
//修改变电站信息
export function substationUpdate(data) {
    return request({
        url: "/device-boot/pms/substationExpend/update",
        method: "post",
        data,
    });
}
//查询变电站拓扑图
export function getRelation(data) {
    return request({
        url: "/device-boot/pms/substationRelation/getRelation",
        method: "post",
        data,
    });
}
//配置变电站拓扑图
export function saveSubstationRelation(data) {
    return request({
        url: "/device-boot/pms/substationRelation/saveSubstationRelation",
        method: "post",
        data,
    });
}
//删除变电站拓扑图
export function removeRelation(data) {
    return request({
        url: "/device-boot/pms/substationRelation/removeRelation",
        method: "post",
        params: data,
    });
}
//获取变压器列表
export function getStatationStat(data) {
    return request({
        url: "/device-boot/pms/substationStatistics/getStatationStat",
        method: "post",
        params: data,
    });
}
//获取在运变电站数量
export function getStatistics(data) {
    return request({
        url: "/device-boot/pms/substationStatistics/getStatistics",
        method: "post",
        params: data,
    });
}
//获取部门各个部门变电站数量（按电压等级区分）
export function getOrgStatistics(data) {
    return request({
        url: "/device-boot/pms/substationStatistics/getOrgStatistics",
        method: "post",
        params: data,
    });
}
//获取变压器谐波日曲线
export function getHarmonicCurve(data) {
    return request({
        url: "/device-boot/pms/substationStatistics/getHarmonicCurve",
        method: "get",
        params: data,
    });
}
//获取变压器功率日曲线
export function getActiveCurve(data) {
    return request({
        url: "/device-boot/pms/substationStatistics/getActiveCurve",
        method: "get",
        params: data,
    });
}
//获取变电站
export function getSubstation(data) {
    return request({
        url: "/device-boot/pms/statationStat/getstatationStatList",
        method: "post",
        data: data,
    });
}